﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WinFormDemo.ToolStripMenu;

namespace WinFormDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.contextMenuStrip1.Renderer = new StackRenderer();

            foreach (ToolStripMenuItem tsmi in this.contextMenuStrip1.Items)
            {
                tsmi.AutoSize = false;
                tsmi.Height = 32;
                tsmi.Click += (sender, e) =>
                {
                    MainToolStripMenuItem _item = sender as MainToolStripMenuItem;
                    if (_item == null || !_item.Enabled)
                    {
                        return;
                    }
                    MessageBox.Show(_item.Tag.ToString(),"提示");
                };
            }
            }
    }
}
